#pragma once

class CClientSocket
{
private:
	WSADATA m_WsaData;											// WinSock information
	sockaddr_in m_Address;										// Connection information
	SOCKET m_Socket;											// Socket
	char m_szBuffer[1024];										// Receive buffer

public:
	CClientSocket();
	virtual ~CClientSocket();
	int Connect(const char *pszIpAddress, unsigned int Port);
	int Disconnect();
	int Send(const char *pszBuffer);
	int Receive(CString &strBuffer, unsigned long Timeout);
};
